﻿using System;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;

namespace Esempio.MVP
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            comboBox1.DataSource = Enum.GetValues(typeof(KnownColor));
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            Model model = new Model();
            Presenter presenter1 = new Presenter1(view1);
            presenter1.Model = model;
            Presenter presenter2 = new Presenter2(view2);
            presenter2.Model = model;
            Presenter presenter3 = new Presenter1(view3);
            presenter3.Model = model;
            Presenter presenter4 = new Presenter3(button1);
            presenter4.Model = model;
            Presenter presenter5 = new Presenter4(comboBox1);
            presenter5.Model = model;
        }
    }
}
